const service = require('../routes/services')

function isAuth (req, res, next){
    if (!req.headers.authorization) {
        return res.status(403).send({ message: 'No tiene autorización'} )
    }

    const token = req.headers.authorization.split(' ')[1] // crear array con tantos elementos como espacios en blanco, primer elemento es el Bearer

    service.decodeToken(token)
        .then(response => {
            req.user = response;
            console.log('response.user', req.user);
            next()
        })
        .catch(response => {
            res.status(response.status)
        })
    
}

module.exports = isAuth