const express = require('express');
const router = express.Router();  // Objeto para definir rutas
const service = require('./services')

// Conexión con PostgreSQL
const pool = require('./database/pool');

// POST insertar
router.post('/', (request, response) => {
    const { identificador, password } = request.body;
    console.log(`SELECT * FROM laboreo_pwa.f_empleado_validation ('${identificador}', '${password}');`);
    if (identificador && password ) {
        pool.query('SELECT * FROM laboreo_pwa.f_empleado_validation ($1, $2);', [identificador, password], (error, results) => {
            if (error) {         
                response.status(500).send(error);
                //throw error;
            }
            if (!results.rows[0]) {
                response.status(401).json({mensaje: 'No existe el usuario y/o contraseña'});
            }else {                
                //response.status(200).json(results.rows);
                request.usuario = results.rows[0];
                console.log('Request', request.usuario);
                response.status(200).send({
                    message: 'Te has logonado correctamente',
                    token: service.createToken(results.rows[0]),
                    users: results.rows[0]
                })
            }
            
        });           
    } else {     
        response.status(500).json({mensaje: 'Ha ocurrido un error'});
    }
});


module.exports = router;